#ifndef QUEST_MONSTER
#define QUEST_MONSTER

#include <stdlib.h>
#include "sprite.h"
#include "behaviour.h"
#include "types.h"
#include "global.h"

Monster* new_monster();
void zap_monster(Monster* monster);

Memory* new_memory();
void zap_memory(Memory* mem);
GList* set_memory(GList* memory,gint32 key,gint16 kind,gint16 int_mem,gpointer pointer_mem);
gpointer lookup_memory(GList* memory,gint32 key);

Skill* new_skill();
void zap_skill(Skill* ski);
GList* set_skill(GList* skills,gint32 key,gint16 skill);
gint16 lookup_skill(GList* skills,gint32 key);

void set_monster(GameControl** gamec,Monster* monster,guint16 sub_sort,gchar* name);

void change_monster_state_step(Monster* monster);
void change_monster_state_facing(Monster* monster,gint old_direction,gint direction);


#endif /* QUEST_MONSTER */
